#
# spec file for package nessus (Version 1.0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gmp gtk gtk-devel libpcap libtool libz nmap xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gmp gpm gppshare grep groff gtk gtk-devel gzip kbd less libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg nmap pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         nessus
%define peksver 0.8.18
%define libver  1.0.9
Version:      1.0.9
Release:      37
Copyright:    GNU GPL
Group:        Utilities/Security
#Provides:	nessus
#Requires:	gmp
Autoreqprov:  on
Summary:      Powerful Security Scanner
# Ftp-site: ftp:/ftp.nessus.org/pub/nessus/
Source:       nessus-libraries-%{version}.tar.bz2
Source1:      libnasl-%{version}.tar.bz2
Source2:      nessus-core-%{version}.tar.bz2
Source3:      nessus-plugins-%{version}.tar.bz2
Source5:	nessusd
Source6:	rc.config.nessusd
Source7:	post-%{version}-scripts.tar.bz2
Patch1:	      sysconfetc.diff
Patch3:		peks.diff
#Patch4:	nessus-core-patch
Patch5:		peks_gmp3_config.diff
Patch6:		nessus-%{version}-aclocal.diff
#BuildRoot:	/var/tmp/%{name}-buildroot

%description
Powerful security scanner.
The scanner consists of a daemon nessusd to be started on a machine close
to the one to be tested and a graphical frontend nessus, which can be run
on a different machine and connect to this daemon.
You can do various security checks then and get a report of possible
weaknesses or vulnerabilities which were found on the target host.

Authors:
--------
    Renaud Deraison <deraison@nessus.org>
    Jordan Hryca <jordan@mjh.teddy-net.com>
    and others

SuSE series: sec

%prep
%setup -b1 -b2 -b3  -n nessus-libraries
cd ../nessus-core
#%patch
%patch1 -p1
#cd nessus
#%patch4 -p0 
#cd ..
cd ../libnasl
cd ../nessus-plugins
cd ../nessus-libraries
%patch3 -p1
%patch5 
%patch6
cd libpeks/
%patch6
autoconf
cd doc
%patch6
autoconf
cd ..
cd ..
cd ..
mkdir post-%{version}-scripts
tar xvIf $RPM_SOURCE_DIR/post-%{version}-scripts.tar.bz2 -C post-%{version}-scripts/
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f nessus-libraries nessus-libraries/libpcap-nessus nessus-libraries/libpeks nessus-libraries/libpeks/gmp3 libnasl nessus-core nessus-plugins}}

%build
#export CFLAGS=$RPM_OPT_FLAGS
#export CXXFLAGS=$RPM_OPT_FLAGS
cd ../nessus-libraries
%ifarch i386
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc --mandir=%{_mandir} --infodir=%{_infodir} --enable-release --enable-shared --enable-gmp i486-suse-linux
%else
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc --mandir=%{_mandir} --infodir=%{_infodir} --enable-release --enable-shared --enable-gmp %{_target_cpu}-suse-linux
%endif
make
make install #DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc mandir=$RPM_BUILD_ROOT/%{_mandir} infodir=$RPM_BUILD_ROOT/%{_infodir} bindir=$RPM_BUILD_ROOT/usr/bin
#test -e /usr/lib/libpeksmp.so || ln -s libgmp.so /usr/lib/libpeksmp.so
cd ../libnasl
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc --mandir=%{_mandir} --infodir=%{_infodir}  --enable-release --enable-shared %{_target_cpu}-suse-linux
make
make install #DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc mandir=$RPM_BUILD_ROOT/%{_mandir} infodir=$RPM_BUILD_ROOT/%{_infodir} bindir=$RPM_BUILD_ROOT/usr/bin
cd ../nessus-core
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-gtk --sysconfdir=/etc --mandir=%{_mandir} --infodir=%{_infodir} --enable-release --enable-shared %{_target_cpu}-suse-linux
make
make install #DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc mandir=$RPM_BUILD_ROOT/%{_mandir} infodir=$RPM_BUILD_ROOT/%{_infodir} bindir=$RPM_BUILD_ROOT/usr/bin
cd ../nessus-plugins
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr  --sysconfdir=/etc --mandir=%{_mandir} --infodir=%{_infodir} %{_target_cpu}-suse-linux
make

%install
install -d -o root -g root -m 600 $RPM_BUILD_ROOT/etc/nessus
# ghosts
#install -o root -g root -m 600 /dev/null $RPM_BUILD_ROOT/etc/nessus/nessusd.conf
for name in nessusd.private-keys nessusd.conf nessusd.users nessusd.rules
  do install -o root -g root -m 600 /dev/null $RPM_BUILD_ROOT/etc/nessus/$name
done
chmod 644 $RPM_BUILD_ROOT/etc/nessus/nessusd.rules
install -d -o root -g root -m 0755 $RPM_BUILD_ROOT/var/log/
install -o root -g root -m 600 /dev/null $RPM_BUILD_ROOT/var/log/nessusd.messages
#install -d -o root -g root -m 0755 $RPM_BUILD_ROOT/usr/lib/nessus/plugins/
cd ../nessus-plugins
make install DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc mandir=$RPM_BUILD_ROOT/%{_mandir} infodir=$RPM_BUILD_ROOT/%{_infodir} bindir=$RPM_BUILD_ROOT/usr/bin
#install -o root -g root -m 444 $RPM_SOURCE_DIR/snmp_default_communities.nasl $RPM_BUILD_ROOT/usr/lib/nessus/plugins/
cd ../post-%{version}-scripts
for name in *.nasl; \
   do install -o root -g root -m 0444 $name $RPM_BUILD_ROOT/usr/lib/nessus/plugins/; \
done
# Do the strip
for name in bin/nasl bin/nessus sbin/nessusd;
  do strip $RPM_BUILD_ROOT/usr/$name;
done
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
#mkdir -p $RPM_BUILD_ROOT/sbin/init.d/rc2.d
#mkdir -p $RPM_BUILD_ROOT/sbin/init.d/rc3.d
install -o root -g root -m 0600 $RPM_SOURCE_DIR/rc.config.nessusd $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -o root -g root -m 0750 $RPM_SOURCE_DIR/nessusd $RPM_BUILD_ROOT/etc/init.d/nessusd
ln -sf ../../etc/init.d/nessusd $RPM_BUILD_ROOT/usr/sbin/rcnessusd
#ln -sf ../nessusd $RPM_BUILD_ROOT/sbin/init.d/rc2.d/S70nessusd
#ln -sf ../nessusd $RPM_BUILD_ROOT/sbin/init.d/rc3.d/S70nessusd
#ln -sf ../nessusd $RPM_BUILD_ROOT/sbin/init.d/rc2.d/K05nessusd
#ln -sf ../nessusd $RPM_BUILD_ROOT/sbin/init.d/rc3.d/K05nessusd
# Note: The Nessus maintainer -- for whatever reasons -- decided
# to install a lot of files with mode 444 instead 644 or 440 instead
# of 640. This is a little bit a question of taste; I would not install
# 444 without any special reason. However, I did not change it ... (KG)

%files
# nessus-library
/usr/include/nessus/
/usr/include/peks/
/usr/lib/libpeks.so.%{peksver}
#/usr/lib/libpeks.so.0.8
/usr/lib/libpeks.so.0
/usr/lib/libpeks.so
/usr/lib/libpeks.a
#/usr/lib/libpeksmp.so
/usr/lib/libnessus.so.%{libver}
/usr/lib/libnessus.so.1
/usr/lib/libnessus.so
/usr/lib/libnessus.a
/usr/lib/libhosts_gatherer.so.%{libver}
/usr/lib/libhosts_gatherer.so.1
/usr/lib/libhosts_gatherer.so
/usr/lib/libhosts_gatherer.a
/usr/lib/libpcap-nessus.so.%{libver}
/usr/lib/libpcap-nessus.so.1
/usr/lib/libpcap-nessus.so
/usr/lib/libpcap-nessus.a
/usr/bin/nessus-config
/usr/bin/nessus-build
%doc INSTALL_README
# libnasl
/usr/lib/libnasl.so.%{libver}
/usr/lib/libnasl.so.1
/usr/lib/libnasl.so
/usr/lib/libnasl.a
#/usr/include/nessus/nasl.h
/usr/bin/nasl-config
/usr/bin/nasl
%doc %{_mandir}/man1/nasl-config.1.gz
%doc ../libnasl/COPYING
# nessus-core
/usr/bin/nessus
/usr/sbin/nessusd
/usr/sbin/nessus-adduser
#/usr/share/nessus/
/usr/lib/nessus/
%doc %{_mandir}/man1/nessus.1.gz
%doc %{_mandir}/man1/nessus-config.1.gz
%doc %{_mandir}/man1/nessus-build.1.gz
%doc %{_mandir}/man8/nessus-adduser.8.gz
%doc %{_mandir}/man8/nessusd.8.gz
# lots of files in /usr/include/nessus/
%doc ../nessus-core/README_LINUX ../nessus-core/TODO ../nessus-core/INSTALL
%doc ../nessus-core/CHANGES ../nessus-core/UPGRADE_README ../nessus-core/VERSION
%doc ../nessus-core/doc/nessus-cipher.1 ../nessus-core/doc/nessusd-cipher.8
%doc ../nessus-core/doc/unbsp.c
%doc ../nessus-core/doc/nsr.dtd ../nessus-core/doc/nsr_file_format.txt
%doc ../nessus-core/doc/kb_saving.txt ../nessus-core/doc/session_saving.txt
#%doc ../nessus-core/doc/ntp/README
%config(noreplace) /etc/nessus/queso.conf
%config /etc/nessus/accounts.txt
%ghost /etc/nessus/nessusd.conf
%ghost /etc/nessus/nessusd.private-keys
%ghost /etc/nessus/nessusd.rules
%ghost /etc/nessus/nessusd.users
%ghost /var/log/nessusd.messages
#/etc/nessus/
#/usr/etc/nessus/
# nessus-plugins
#/usr/lib/nessus/plugins/
# post-%{version}-scripts
#/usr/lib/nessus/plugins/
# Startup files
/var/adm/fillup-templates/rc.config.nessusd
%config /etc/init.d/nessusd
/usr/sbin/rcnessusd
#/sbin/init.d/rc2.d/S70nessusd
#/sbin/init.d/rc3.d/S70nessusd
#/sbin/init.d/rc2.d/K05nessusd
#/sbin/init.d/rc3.d/K05nessusd
#%clean
#rm -rf "$RPM_BUILD_ROOT"
# A way to migrate old files
# /etc/nessus/nessusd.conf -> /etc/nessusd.conf
#%pre
#test -e etc/nessus/nessusd.conf && cp -p etc/nessus/nessusd.conf etc/nessusd.conf
#exit 0

%post
# Create startup symlinks (LSB)
sbin/insserv etc/init.d/nessusd
# Empty config files are really a pain ITA.
if test -e etc/nessus/nessusd.conf -a ! -s etc/nessus/nessusd.conf; then
  rm -f etc/nessus/nessusd.conf
fi
if test -e etc/nessus/nessusd.users -a ! -s etc/nessus/nessusd.users; then
  rm -f etc/nessus/nessusd.users
fi
# fillup config files
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.nessusd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.nessusd and "
  echo "update by hand."
fi
mkdir -p var/adm/notify/messages
cat >var/adm/notify/messages/nessus_update << _END_
Dear sysadmin,
Congratulations to your update to nessus-%{version}!
If your had an old configuration file /etc/nessus/nessusd.conf, 
it might not be appropriate any more.
Please consult the documentation in /usr/share/doc/packages/nessus/, 
and in particular the file UPGRADE_README.
The nessusd can now be automatically started by the system startup
scripts. If you want this set START_NESSUSD to yes in /etc/rc.config.
But, please configure nessusd before.
Yours,
	SuSE Security Team
_END_
exit 0

%postun
sbin/insserv etc/init.d/

%changelog -n nessus
* Thu Aug 30 2001 - garloff@suse.de
- Update to 1.0.9:
  * bugfixes: deadlock in peks and client crahs on excessively
  long plugin lists.
  * increase login timeout and Linux recv() handling
- post-1.0.9 scripts as of 2001-08-30
* Mon Aug 13 2001 - ro@suse.de
- fixed to build with current autoconf
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Fri Jul 13 2001 - garloff@suse.de
- Update to 1.0.8.
- Add post-1.0.8 scripts.
* Wed Jun 06 2001 - garloff@suse.de
- Fix aclocal problem (triggered by new autotools)
- Final post-1.0.7a scripts.
* Fri May 11 2001 - garloff@suse.de
- bzip2 sources.
- Another post-1.0.7a script update.
* Tue May 08 2001 - garloff@suse.de
- Update post-1.0.7a scripts.
* Mon Apr 30 2001 - garloff@suse.de
- Update post-1.0.7.a scripts.
* Thu Apr 12 2001 - ro@suse.de
- fix usage for version macro (again)
* Thu Apr 12 2001 - garloff@suse.de
- Add xf86 to neededforbuild
* Wed Apr 11 2001 - garloff@suse.de
- Update post-1.0.7a scripts:
  Scripts for NTP, Lion, MySQL, Kerberos, ProFTPD, Domino,
  PHP_IMAP, IIS, Oracle, ... vulnerabilities.
* Mon Feb 12 2001 - garloff@suse.de
- Refuse to start if no user accounts have been created yet.
* Mon Feb 12 2001 - garloff@suse.de
- The GMP hack seems to be not needed any longer ;-)
* Mon Feb 12 2001 - garloff@suse.de
- Update to nessus - 1.0.7a:
  * HTTP virtual hosts, configurable per-plugin timeout, stop
  detached scans, improved XML output
  * Issues with cipher layer addressed
  * listen on IANA assigned port 1241 additionally to 3001
  (3001 will be discarded in future)
- post-1.0.7a scripts from 2001-02-12
- Fixed typo in startup script (#6301)
* Mon Jan 15 2001 - garloff@suse.de
- Another post-1.0.6 scripts update.
* Fri Jan 12 2001 - garloff@suse.de
- Update post-1.0.6 scripts to latest status.
* Thu Jan 04 2001 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Dec 19 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
- Marked init.d script as %%config
* Thu Dec 07 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Nov 28 2000 - garloff@suse.de
- Move init.d script to /etc/init.d/
- Move rcnessusd to /usr/sbin/
- Updated post-1.0.6 scripts.
* Wed Nov 22 2000 - garloff@suse.de
- More init.d script fixes.
- BuildRoot is not used. (Never has been successfully.)
* Wed Nov 22 2000 - garloff@suse.de
- New SuSE LSB-compliant init.d script.
* Tue Nov 21 2000 - garloff@suse.de
- Update to 1.0.6, featuring diff scans as well as constant
  background scans with email notification
- Use BuildRoot
- Use system gmp library rather than the one supplied with nessus
* Sun Nov 05 2000 - egger@suse.de
- Fixed #neededforbuild for long packagenames.
* Mon Sep 11 2000 - garloff@suse.de
- Added gmp to Requires:
* Mon Jul 10 2000 - garloff@suse.de
- Update to 1.0.3 saves applying all the 1.0.2 bugfixes manually.
* Sat Jul 08 2000 - garloff@suse.de
- Finally patched nessus-libraries/libpeks/gmp3/configure to work
  around crazy ideas about what the target CPU might be and thereby
  fixed PPro optimization problem.
* Sat Jul 08 2000 - garloff@suse.de
- Update to 1.0.2, including the official patches (nasl-1.0.2.1,
  nessus-core-patch, snmp_default_communities.nasl)
* Wed Jun 21 2000 - garloff@suse.de
- Added startup script and rc.config entry
- Write e-mail to root about configuration file risks on upgrade
  and try to save old config file
* Wed Jun 21 2000 - garloff@suse.de
- Strip binaries
- Upgrade to 1.0.1
- Added libpcapn to build requirements
- Create symlink libpeksmp.so -> libgmp.so
* Tue Apr 18 2000 - garloff@suse.de
- Created %%ghost files for /var/log/ and the /etc/nessus/ files.
* Mon Apr 17 2000 - garloff@suse.de
- Patched libpeks to use $HOME if necessary (#2734)
- Moved log to /var/log/
* Thu Apr 13 2000 - garloff@suse.de
- Added /etc/nessus dir and
- set --sysconfdir=/etc (#2734)
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 21 2000 - garloff@suse.de
- Update to 0.99.5-2.
- Move manpages to %%{_mandir}
* Sat Oct 23 1999 - garloff@suse.de
- Initial release 0.98.3 (0.99.0)
- Patch to nessus-libraries: Correct peks include path
